/* Example sketch to control a stepper motor with L298N motor driver, Arduino UNO and Stepper.h library. More info: https://www.makerguides.com */

#include <Stepper.h>
#include <Servo.h>

// Define number of steps per revolution:
const int stepsPerRevolution = 200;
// Store servo position
int servopos = 0;

//Initialize all motors with appropriate pins
Stepper xStepper = Stepper(stepsPerRevolution, 2, 3, 4, 5);
Stepper yStepper = Stepper(stepsPerRevolution, 8, 9, 10, 11);
Servo servo;

void setup() {
  // Set the motor speed (RPMs):
  xStepper.setSpeed(100);
  yStepper.setSpeed(100);
  // Assign servo to pin 6
  servo.attach(6); 
}

void loop() {
  // Step five revolutions in positive y:
  yStepper.step(1000);

  delay(2000);

  // Step five revolutions in negative y:
  yStepper.step(-1000);

  delay(2000);

  // Step five revolutions in positive x:
  xStepper.step(1000);

  delay(2000);

  // Step five revolutions in negative x:
  xStepper.step(-1000);

  // Move servo 180 degrees
  for (servopos = 0; servopos <= 180; servopos += 1) {
    servo.write(servopos);
    delay(15);
  }

  // Move servo 180 degrees back
  for (servopos = 180; servopos >= 0; servopos -= 1) {
    servo.write(servopos);
    delay(15);
  }
  
}
